package com.izouma.awesomeadmin.dao;

import java.util.*;

import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.AimTemplateAr;


/**
 * Dao接口
 */
@Repository("com.zoumaframe.dao.AimTemplateArMapper")
public interface AimTemplateArMapper {

    int deleteByPrimaryKey(Integer id);

    int insertSelective(AimTemplateAr record);

    AimTemplateAr selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(AimTemplateAr record);

    List<AimTemplateAr> queryAllAimTemplateAr(AimTemplateAr record);

    List<AimTemplateAr> queryAimTemplateArByPage(Map<String, Object> parameter);

    int delete(AimTemplateAr record);

    AimTemplateAr queryAimTemplateAr(AimTemplateAr record);

    List<AimTemplateAr> query(AimTemplateAr record);
}

